<?php
require'fun.php';
require'f_conectare.php';
conectare('vizualizeaza sursa paginii','vizualizeaza-sursa-paginii');
$titlu='Vizualizeaza sursa paginii';
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
require'f_sus.php';
echo$div[4].img('servicii.gif',2).'Vizualizeaza sursa paginii'.$div[5];
$form[0]='/vizualizeaza-sursa-paginii" method="post';
$form[1]=1;
$form[2]=$div[1].'URL:<br /><input name="pmtext" value="'.$pmtext.'" />'.$div[0].$div[1].'<input type="checkbox" name="numar_linii" value="da" checked="checked" />Afiseaza numărul liniilor'.$div[0];
$form[3]='pmtext::numar_linii';
$form[4]='Afiseaza';
require'f_form.php';
if($pmtext!=NULL)
{
$url=(!mb_stristr($pmtext,'http://')&&!mb_stristr($pmtext,'https://')?'http://':'').htmlspecialchars($pmtext);
echo$div[1].'<a href="'.$url.'">'.$url.'</a>'.$div[0].$div[10];
$sur=file($url);
$ln=1;
foreach($sur AS$s)
{
if(isset($_POST['numar_linii']))
echo'<span style="color:red">'.$ln.'# </span>';
echo htmlspecialchars($s).'<br />';
$ln++;
}
echo$div[0];
}
require'f_jos.php';